## class SG_EXPORT osg::Sequence

> Sequence is a Group node which allows automatic, time based switching between children

## Inheritance:

### Public Methods

Sequence()
Sequence(const Sequence&, const CopyOp& copyop=CopyOp::SHALLOW_COPY)
  Copy constructor using CopyOp to manage deep vs shallow copy
META_Node(osg, Sequence)
virtual void traverse(NodeVisitor& nv)
void setValue(int value)
int getValue() const
void setTime(int frame, float t)
  Set time in seconds for child
float getTime(int frame) const
  Get time for child
void setInterval(LoopMode mode, int begin, int end)
  Set sequence mode & interval.
inline void getInterval(LoopMode& mode, int& begin, int& end) const
  Get sequence mode & interval.
void setDuration(float speed, int nreps = -1)
  Set duration: speed-up & number of repeats
inline void getDuration(float& speed, int& nreps) const
  Get duration
void setMode(SequenceMode mode)
  Set sequence mode.
inline SequenceMode getMode() const
  Get sequence mode.

### Public Members

enum LoopMode
  Interval modes
enum SequenceMode
  Sequence modes

### Protected Fields

int _value
float _last
std::vector<float> _frameTime
int _step
LoopMode _loopMode
int _begin
int _end
float _speed
int _nreps
int _nrepsremain
SequenceMode _mode

### Protected Methods

virtual ~Sequence()

### Inherited from Group:

### Public Methods

virtual Group* asGroup()
virtual const Group* asGroup() const
virtual bool addChild( Node* child )
virtual bool insertChild( unsigned int index, Node* child )
virtual bool removeChild( Node* child )
virtual bool removeChild(unsigned int pos, unsigned int numChildrenToRemove=1)
virtual bool replaceChild( Node* origChild, Node* newChild )
inline unsigned int getNumChildren() const
virtual bool setChild( unsigned int i, Node* node )
inline Node* getChild( unsigned int i )
inline const Node* getChild( unsigned int i ) const
inline bool containsNode( const Node* node ) const
inline unsigned int getChildIndex( const Node* node ) const

### Protected Fields

NodeList _children

### Protected Methods

virtual bool computeBound() const

### Inherited from Node:

### Public Methods

virtual Object* cloneType() const
virtual Object* clone(const CopyOp& copyop) const
virtual bool isSameKindAs(const Object* obj) const
virtual const char* libraryName() const
virtual const char* className() const
virtual Transform* asTransform()
virtual const Transform* asTransform() const
virtual void accept(NodeVisitor& nv)
virtual void ascend(NodeVisitor& nv)
inline void setName( const std::string& name )
inline void setName( const char* name )
inline const std::string& getName() const
inline const ParentList& getParents() const
inline ParentList getParents()
inline Group* getParent(unsigned int i)
inline const Group* getParent(unsigned int i) const
inline unsigned int getNumParents() const
void setUpdateCallback(NodeCallback* nc)
inline NodeCallback* getUpdateCallback()
inline const NodeCallback* getUpdateCallback() const
inline unsigned int getNumChildrenRequiringUpdateTraversal() const
void setCullCallback(NodeCallback* nc)
inline NodeCallback* getCullCallback()
inline const NodeCallback* getCullCallback() const
void setCullingActive(bool active)
inline bool getCullingActive() const
inline unsigned int getNumChildrenWithCullingDisabled() const
inline bool isCullingActive() const
inline unsigned int getNumChildrenWithOccluderNodes() const
bool containsOccluderNodes() const
inline void setNodeMask(NodeMask nm)
inline NodeMask getNodeMask() const
inline const DescriptionList& getDescriptions() const
inline DescriptionList& getDescriptions()
inline const std::string& getDescription(unsigned int i) const
inline std::string& getDescription(unsigned int i)
inline unsigned int getNumDescriptions() const
void addDescription(const std::string& desc)
inline void setStateSet(osg::StateSet* dstate)
osg::StateSet* getOrCreateStateSet()
inline osg::StateSet* getStateSet()
inline const osg::StateSet* getStateSet() const
inline const BoundingSphere& getBound() const
void dirtyBound()

### Public Members

typedef std::vector<Group*> ParentList
typedef unsigned int NodeMask
typedef std::vector<std::string> DescriptionList

### Protected Fields

mutable BoundingSphere _bsphere
mutable bool _bsphere_computed
std::string _name
ParentList _parents
ref_ptr<NodeCallback> _updateCallback
unsigned int _numChildrenRequiringUpdateTraversal
ref_ptr<NodeCallback> _cullCallback
bool _cullingActive
unsigned int _numChildrenWithCullingDisabled
unsigned int _numChildrenWithOccluderNodes
NodeMask _nodeMask
DescriptionList _descriptions
ref_ptr<StateSet> _stateset

### Protected Methods

void addParent(osg::Group* node)
void removeParent(osg::Group* node)
void setNumChildrenRequiringUpdateTraversal(unsigned int num)
void setNumChildrenWithCullingDisabled(unsigned int num)
void setNumChildrenWithOccluderNodes(unsigned int num)

### Inherited from Object:

### Public Methods

inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

> Sequence is a Group node which allows automatic, time based switching between children

`Sequence()`

`Sequence(const Sequence&, const CopyOp& copyop=CopyOp::SHALLOW_COPY)`
  Copy constructor using CopyOp to manage deep vs shallow copy

`META_Node(osg, Sequence)`

`virtual void traverse(NodeVisitor& nv)`

`void setValue(int value)`

`int getValue() const`

`void setTime(int frame, float t)`
  Set time in seconds for child

`float getTime(int frame) const`
  Get time for child

`enum LoopMode`
  Interval modes

  `LOOP`

  `SWING`

`void setInterval(LoopMode mode, int begin, int end)`
  Set sequence mode & interval.

`inline void getInterval(LoopMode& mode, int& begin, int& end) const`
  Get sequence mode & interval.

`void setDuration(float speed, int nreps = -1)`
  Set duration: speed-up & number of repeats

`inline void getDuration(float& speed, int& nreps) const`
  Get duration

`enum SequenceMode`
  Sequence modes

  `START`

  `STOP`

  `PAUSE`

  `RESUME`

`void setMode(SequenceMode mode)`
  Set sequence mode. Start/stop & pause/resume.

`inline SequenceMode getMode() const`
  Get sequence mode.

`virtual ~Sequence()`

`int _value`

`float _last`

`std::vector<float> _frameTime`

`int _step`

`LoopMode _loopMode`

`int _begin`

`int _end`

`float _speed`

`int _nreps`

`int _nrepsremain`

`SequenceMode _mode`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.